/*
 * xpf_imports.h:	Some imported definitions from "outside".
 */

/* The unit * of all unknown pointer types and basic unit of data */ 
typedef unsigned char	XPFDataUnit;

/* xpf_protl.c (an application on xpf_interface.c) must cast it to (Msg *) */
typedef XPFDataUnit	*XPFMessage;

/* xpf manipulates lits of information/messages: it doesn't interpret them */
typedef XPFDataUnit 	*XPFInformation;

#if	MERGEINFO
#define	XPF_INFO_NULL	NULL	/* we deal with lists, so NULL pointer is OK */
#else	MERGEINFO
#define	XPF_INFO_NULL	0	/* this MUST be defined as some recognizably INVALID info */
#endif	MERGEINFO

/* The only "functions" xpf needs from outside: change them if needed */
#if	KERNEL
#if	PROTOTYPE
void	free(char *);
char	*malloc(int);
int	memcpy(char *d, char *s, int n);
void	bzero(char *d, int n);
int	printf();
int	fprintf();
int	strncpy(char *d, char *s, int n);
#else	PROTOTYPE
void	free();
char	*malloc();
int	memcpy();
void	bzero();
int	printf();
int	fprintf();
int	strncpy();
#endif	PROTOTYPE
#endif	KERNEL

#define xpfIsValidRegion(a, b)	1
#define xpfFree(p, n)	if (p!=NULL) free(p)
#define xpfMalloc	malloc
#define xpfMemcpy	memcpy
#define xpfStrncpy	strncpy
#define xpfBzero(a,b)	bzero(a,b)
#define xpfPrintf	printf
#define xpfAbs		abs

